InterestType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: InterestType

Package org.apache.geode.cache.operations

# Class InterestType

java.lang.Object
org.apache.geode.cache.operations.InterestType

@Immutable public final class InterestType extends Object
Enumeration for various interest types.

Since:
  GemFire 5.5

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final InterestType`
  `KEY`
  For registering interest in a specific key.
  `static final InterestType`
  `LIST`
  For registering interest in a list of keys.
  `static final InterestType`
  `REGULAR_EXPRESSION`
  For registering interest in all keys matching a regular expression.
  `static final byte`
  `TP_KEY`
  `static final byte`
  `TP_LIST`
  `static final byte`
  `TP_REGEX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InterestType`
  `fromOrdinal(byte ordinal)`
  Returns the `InterestType` represented by specified ordinal.
  `boolean`
  `isKey()`
  Returns true if this is a key interest type.
  `boolean`
  `isList()`
  Returns true if this is a key list interest type.
  `boolean`
  `isRegularExpression()`
  Returns true if this is a regular expression interest type.
  `byte`
  `toOrdinal()`
  Returns the ordinal for this interest type.
  `String`
  `toString()`
  Returns a string representation for this interest type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TP_KEY

    public static final byte TP_KEY
    See Also:
      - Constant Field Values

  - ### TP_REGEX

    public static final byte TP_REGEX
    See Also:
      - Constant Field Values

  - ### TP_LIST

    public static final byte TP_LIST
    See Also:
      - Constant Field Values

  - ### KEY

    @Immutable public static final InterestType KEY
    For registering interest in a specific key.

  - ### LIST

    @Immutable public static final InterestType LIST
    For registering interest in a list of keys.

  - ### REGULAR_EXPRESSION

    @Immutable public static final InterestType REGULAR_EXPRESSION
    For registering interest in all keys matching a regular expression.

- ## Method Details

  - ### isKey

    public boolean isKey()
    Returns true if this is a key interest type.
    Returns:
      whether this is a key interest type

  - ### isList

    public boolean isList()
    Returns true if this is a key list interest type.
    Returns:
      whether this is a key list interest type

  - ### isRegularExpression

    public boolean isRegularExpression()
    Returns true if this is a regular expression interest type.
    Returns:
      whether this is a regular expression interest type

  - ### fromOrdinal

    public static InterestType fromOrdinal(byte ordinal)
    Returns the `InterestType` represented by specified ordinal.
    Parameters:
      `ordinal` - the ordinal of the `InterestType` to return
    Returns:
      the `InterestType` represented by specified ordinal

  - ### toOrdinal

    public byte toOrdinal()
    Returns the ordinal for this interest type.
    Returns:
      the ordinal of this interest type.

  - ### toString

    public String toString()
    Returns a string representation for this interest type.
    Overrides:
      `toString` in class `Object`
    Returns:
      the name of this interest type.